# Interface methods for submodule: NodePair
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IndexProxy as _IndexProxy


# Interface methods for class: NodePair
class NodePairProxy(_IndexProxy):
	@overload
	def SetValue(self, iValue: float) -> None:
		""""""
		...

	@overload
	def SetValue(self, iValue: int) -> None:
		""""""
		...

	@overload
	def GetValue(self) -> float:
		""""""
		...

	@overload
	def GetValue(self) -> int:
		""""""
		...

	def SetNode(self, iNode: Sequence[int]) -> None:
		""""""
		...

	def GetNode(self) -> Sequence[int]:
		""""""
		...

